@echo off
rem build_all [clean]

set bin_projects=psxcdgen psxcdread
set bin_linux_projects=cpp_out
set clean_projects=cdtypes

set projects=%bin_projects%
set linux_projects=%bin_linux_projects%
set build_type=build
set cur_dir=%cd%

IF NOT "%~1" == "" (
    IF "%~1" == "clean" (
        set build_type=clean
        set projects=%projects% %clean_projects%
    ) ELSE (
        set build_type=%~1
    )
)

for %%a in (%projects%) do (
    call .\run_cargo %%a %build_type% release windows
    cd %cur_dir%
)

for %%a in (%linux_projects%) do (
    call .\run_cargo %%a %build_type% release linux
    cd %cur_dir%
)